﻿Imports Syncfusion.Pdf.Parsing
Imports Syncfusion.Pdf
Imports Syncfusion.Pdf.Graphics
Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        'Load the existing PDF document
        Dim ldoc As PdfLoadedDocument = New PdfLoadedDocument("../../Essential_Studio.pdf")

        'Create a new PDF document
        Dim doc As PdfDocument = New PdfDocument()

        'set the font
        'Dim font As PdfFont = New PdfStandardFont(PdfFontFamily.Helvetica, 12)

        Dim font As PdfFont = New PdfTrueTypeFont(New Font("Arial", 14, FontStyle.Regular), True)

        For i As Integer = 0 To ldoc.Pages.Count - 1

            Dim lpage As PdfLoadedPage = ldoc.Pages(i)

            'save the graphics state
            lpage.Graphics.Save()

            'set transparency
            lpage.Graphics.SetTransparency(0.5F)

            'Draw the watermark
            lpage.Graphics.DrawString("Page : " + i.ToString(), font, PdfBrushes.Black, New PointF(200, lpage.Size.Height - 40))

            lpage.Graphics.Restore()

        Next

        'save the document
        ldoc.Save("output.pdf")

        'Close the document
        ldoc.Close(True)

        System.Diagnostics.Process.Start("output.pdf")

    End Sub
End Class
